summary refs log tree commit diff
path: root/bin/dots
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
committerRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
commitb61b58ce2c1371d6f904f108fa7feed3abfbe5c7 (patch)
tree008a5cf54ecbfffb97ddac30e44c8ab224395ab0 /bin/dots
parentd4620f3ac119263fee90bd819eadaf84fc8d50b7 (diff)
*
Automated-commit-by: dots
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to 'bin/dots')
-rwxr-xr-xbin/dots28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/dots b/bin/dots
new file mode 100755
index 0000000..cee0d73
--- /dev/null
+++ b/bin/dots
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -eu
+[ -n "${DEBUG:-}" ] && set -x
+case "${1:-status}" in
+git)
+	[ $# -gt 0 ] && shift
+	exec /usr/bin/git --git-dir=$HOME/.dotfiles --work-tree=$HOME $*
+	;;
+st | status)
+	exec $0 git status -sb --untracked-files=no
+	;;
+add)
+	shift
+	exec $0 git add -f $*
+	;;
+commit | snapshot | record)
+	shift
+	$0 git commit --all --trailer=Automated-commit-by:dots --trailer=signoff --gpg-sign --message=* $*
+	echo
+	$0 git log --stat --format=full -1
+	echo
+	;;
+push)
+	set -x
+	$0 git push inazuma || true
+	$0 git push origin || true
+	;;
+esac